#include "Colors.h"

Colors::Colors(){
    this->returnDefault();
}

void Colors::returnDefault(){
    this->unkn = red;
    this->unknMark = magenta;
    this->kn = green;
    this->knMark = cyan;
    this->occup = yellow;
    this->occupMark = blue;
    this->reset = resetColor;
    this->invert = invertText;
    this->cross = crossText;
}

void Colors::changeColor(int index, std::string color){
    switch(index){
        case 0: this->reset = color; break;
        case 1: this->unkn = color; break;
        case 2: this->unknMark = color; break;
        case 3: this->kn = color; break;
        case 4: this->knMark = color; break;
        case 5: this->occup = color; break;
        case 6: this->occupMark = color; break;
        case 7: this->invert = color; break;
        case 8: this->cross = color; break;
        default: break;
    }
}
