#include "Hexagono.h"

Hexagono::Hexagono(float size, bool mode) : size (size), mode (mode){
    updateRadius();
};

float Hexagono::getSize(){
    return this->size;
}

float Hexagono::getHeight(){
    float height = (this->mode) ? this->minRadius : this->maxRadius;
    return height;
}

float Hexagono::getWidth(){
    float width = (this->mode) ? this->maxRadius : this->minRadius;
    return width;
}

void Hexagono::updateRadius(){
    this->maxRadius = 2*this->size;
    this->minRadius = this->sqrt3 * this->size;
}

void Hexagono::setSize(float size){
    this->size = size;
    this->updateRadius();
}

void Hexagono::setMode(bool mode){
    this->mode = mode;
}

Hexagono::~Hexagono(){
}